<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="theme-color" content="#0020c2">
    <meta name="description" content="A simple ToDo-List organzier by Team Michi.">
    <title>IUK III: Mobile Webapplikationen</title>
    <link rel="apple-touch-icon" href="./images/maskable_icon.png">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="./style.css">
    <link rel="manifest" href="./manifest.json">
</head>
<body>
    <header class="header">
        <nav class="navbar navbar-expand-lg navbar-light">
            <a class="navbar-brand skip-link" href="#">To Do</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-auto">
                    <li id="ToDo" class="nav-item active ml-auto">
                        <a href="#" class="nav-link" onclick="getAll('false')">ToDo</a>
                    </li>
                    <li id="Done" class="nav-item ml-auto">
                        <a href="#" class="nav-link" onclick="getAll('true')">Done</a>
                    </li>
                </ul>
            </div>
        </nav>
    </header>
    <main>
        <div class="container">
            <div class="row">
                <div class="col">
                    <div class="input-group mb-3">
                        <input id="inputfield" name="inputfield" type="text" class="form-control" placeholder="Add a To Do" aria-label="Add a To Do" aria-describedby="button-addon2" onkeyup="checkinput()">
                        <div class="input-group-append">
                            <button class="btn btn-primary" type="button" id="button-addon2" disabled onclick="addTask()">Add</button>
                        </div>
                    </div>
                    <div class="taskdiv">
                        <div class="input-group mb-3" id="taskdiv"></div>
                    </div>
                </div>
            </div>
            <button id="deleteButton" class="btn btn-danger align-content-end" onclick="deleteAll()">Delete All</button>
        </div>
    </main>
</body>
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
    <script src="./script.js"></script>
</html>
